#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		__python	/usr/bin/python3
%define		sname		%(echo %{name} | cut -d '-' -f2)

#-----------------------------------------------------------------------------
Name		:	python-distro
Version		:	1.5.0
Release		:	17.0.10.rel%{?dist}
Summary		:	Linux Distribution - a Linux OS platform information API

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	ASL
URL		:	https://github.com/nir0s/distro

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	%{__python}
BuildRequires	:	python-build
BuildRequires	:	python-flit-core
BuildRequires	:	python-installer
BuildRequires	:	python3-setuptools
BuildRequires	:	python-wheel

BuildRequires	:	krb5-devel
BuildRequires	:	python3-cython
BuildRequires	:	python3-setuptools

BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description 
The distro (for: Linux Distribution) package provides information
about the Linux distribution it runs on, such as a reliable
machine-readable ID, or version information.

It is a renewed alternative implementation for Python's original
platform.linux_distribution function, but it also provides much more
functionality. An alternative implementation became necessary because
Python 3.5 deprecated this function, and Python 3.7 is expected to
remove it altogether. Its predecessor function platform.dist was
already deprecated since Python 2.6 and is also expected to be removed
in Python 3.7. Still, there are many cases in which access to that
information is needed. See Python issue 1322 for more information.


#=============================================================================
%files
%defattr(-, root,root, 0755)
%doc CHANGELOG.md CONTRIBUTORS.md README.md
%license LICENSE
%{_bindir}/%{sname}
%{python3_sitearch}/%{sname}.py
%{python3_sitelib}/__pycache__/%{sname}.*.pyc
%{python3_sitearch}/%{sname}-%{version}.dist-info/

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

%{__python}						\
	-m build					\
	--wheel						\
	--skip-dependency-check				\
	--no-isolation					\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}						\
	-m installer					\
	--destdir=%{buildroot}				\
	dist/*.whl					\

#-----------------------------------------------------------------------------
%changelog
